<script setup>
import Codemirror from "codemirror-editor-vue3";
import "codemirror/mode/python/python.js";
import "codemirror/addon/display/placeholder.js";
import "codemirror/theme/dracula.css";
import {computed, defineEmits} from "vue";

const props = defineProps({ value: String });
const emits = defineEmits(['updateCode']);

const code = computed({
  get: () => props.value,
  set: (newValue) => emits('updateCode', newValue),
});

const cmOptions = {
  mode: "text/x-python",
  theme: "dracula",
  lineNumbers: true,
  autoCloseBrackets: true,
};

</script>
<template>
  <Codemirror
    v-model:value="code"
    :options="cmOptions"
    border
    id="code_area"
    placeholder="код..."
    :height="500"
  />
</template>
